import matplotlib.pyplot as plt # importe les bibliothèques nécessaires
from statistics import mean # importe les modules nécessaires
from statistics import stdev # importe les modules nécessaires


v = [ 3.06E8, 2.6E8, 3.2E8 , 2.94E8, 2.7E8, 3.136E8, 3.03E8, 2.9E8, 2.74E8, 2.89E8 ] # crée un tableau regroupant les 10 valeurs 

plt.hist(v) # crée l’histogramme
plt.xlabel(" Celérité de la lumière (m/s) ") # titre de l’axe des abscisses
plt.ylabel(' Nombre de valeurs ') # titre de l’axe des ordonnées
plt.xlim(2.5E8, 3.5E8) # définit les valeurs limites de l’axe des abscisses
plt.show() # affiche l’histogramme

moyenne = mean(v) # calcule la moyenne de la vitesse
print("La valeur moyenne de la célérité de la lumière est : ", moyenne , 'm/s') # affiche la valeur de la vitesse moyenne

ecarttype = stdev(v) # calcule l’écart-type expérimental
print('avec un écart-type de : ', ecarttype) # affiche la valeur de l’écart-type expérimental

incertitude_type = ecarttype/(10**0.5) # calcule l’incertitude-type
print("L’incertitude-type sur v vaut :", incertitude_type , 'm/s') # affiche la valeur de l’incertitude-type